Send mentions when content is changed but new username and signature are added
Closed, ResolvedPublic2 Story Points

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 29 2016, 12:03 PM
Tobi_WMDE_SW triaged this task as Normal priority.Jun 29 2016, 12:04 PM
Tobi_WMDE_SW set the point value for this task to 5.
Tobi_WMDE_SW moved this task from Proposed to Backlog on the TCB-Team-Sprint-2016-06-29 board.

When a line like
[[User:Bla|]]
gets changed to
[[User:Bla|]] & [[User:Bli|]].
Should Bla and Bli be notified or only Bli?

Also, should it matter where the signature is added? E.g. what if the signature is nowhere near the mention in a different section of the discussion page?

The & should not be added - only edits :)
When it comes to

[[User:Bla|]]  [[User:Bli|]]

and only User:Bli is new, only User:Bli should be informed - always just the new ones. The signature also has to be newly added and must be in the same section - if not, the mention will fail due to the error "edits in multiple sections"

Change 297997 had a related patch set uploaded (by Jakob):
WIP Send notification for mentions on changes

https://gerrit.wikimedia.org/r/297997

Please check also, if this solves the following problem:
As a user, I receive a message along the lines of "Your mention has not been send, since the username "Ausar" has not been found." I go back to the page where I mentioned the user and change the user link to point to the correct name, Auser. This does not send out any mention.

If it does not solve the problem, please file a ticket, that the problem exists

Please make sure T140234 has been merged if this is the first mention notification patch to be merged

Change 300528 had a related patch set uploaded (by Jakob):
Send notification for mentions on changes

https://gerrit.wikimedia.org/r/300528

Change 297997 abandoned by Jakob:
WIP Send notification for mentions on changes

Reason:
Abandoned in favor of https://gerrit.wikimedia.org/r/#/c/300528/3

https://gerrit.wikimedia.org/r/297997

@Lea_WMDE

Please check also, if this solves the following problem:
As a user, I receive a message along the lines of "Your mention has not been send, since the username "Ausar" has not been found." I go back to the page where I mentioned the user and change the user link to point to the correct name, Auser. This does not send out any mention.

If it does not solve the problem, please file a ticket, that the problem exists

If I understood the scenario correctly this will not be solved by this patch. The mention will only be sent if a new signature is added.

WMDE-leszek changed the point value for this task from 5 to 3.
WMDE-leszek moved this task from Proposed to Review on the TCB-Team-Sprint-2016-08-02 board.
Trizek-WMF added a subscriber: Trizek-WMF.EditedAug 4 2016, 8:10 AM

Do you plan to deploy it on all wikis or just a small cluster of volunteer wikis? And when? It hasn't been merged on 1.28.0-wmf.14 yet.

Is documentation ready to be created if needed, or upgraded there?

This will be deployed on all wikis, but is not fully developed yet. Documentation will be changed once it is deployed (right now it is only mentioned on https://www.mediawiki.org/wiki/Manual:Echo)

WMDE-leszek changed the point value for this task from 3 to 5.
WMDE-leszek moved this task from Proposed to Review on the TCB-Team-Sprint-2016-08-11 board.

Change 304807 had a related patch set uploaded (by Jakob):
[DNM] Send notification for mentions on changes

https://gerrit.wikimedia.org/r/304807

Change 300528 abandoned by Jakob:
Send notification for mentions on changes

Reason:
New patch is https://gerrit.wikimedia.org/r/#/c/304807/1

https://gerrit.wikimedia.org/r/300528

Change 305022 had a related patch set uploaded (by Jakob):
Log potential notification for mentions on changes

https://gerrit.wikimedia.org/r/305022

Change 305022 merged by jenkins-bot:
Log potential notification for mentions on changes

https://gerrit.wikimedia.org/r/305022

Tobi_WMDE_SW changed the point value for this task from 5 to 2.
Tobi_WMDE_SW moved this task from Proposed to Backlog on the TCB-Team-Sprint-2016-08-29 board.

Change 308562 had a related patch set uploaded (by Jakob):
Send notification for mentions on changes

https://gerrit.wikimedia.org/r/308562

Change 304807 abandoned by Jakob:
[DNM] Send notification for mentions on changes

Reason:
abandoned in favor of https://gerrit.wikimedia.org/r/#/c/308562/

https://gerrit.wikimedia.org/r/304807

Change 308562 merged by jenkins-bot:
Send notification for mentions on changes

https://gerrit.wikimedia.org/r/308562

Johan moved this task from To Triage to In current Tech/News draft on the User-notice board.
He7d3r added a subscriber: He7d3r.
Tobi_WMDE_SW closed this task as Resolved.Sep 27 2016, 3:57 PM